//index.js

var lpapi = require('../../utils/LPAPI/LPAPI.js');
var tempIndex = 0;

//获取应用实例
var app = getApp()
Page({
  data: {},

  onLoad: function () {
  },

  printNextLabel: function () {
    tempIndex--;
    if (tempIndex <= 0) {

      wx.hideLoading({
        success: (res) => {},
      })

      wx.showToast({
        title: '打印成功',
        icon: '',
        image: '',
        duration: 2000,
        mask: true,
      })
    } else {
      this.printOneLabel();
    }
  },

  printOneLabel: function () {

    const width = 50
    const height = 70

    // lpapi.setPrintPageGapType(0);
    // lpapi.setPrintDarkness(2);

    lpapi.startDrawLabel('test', this, width, height, 0);
      
    lpapi.drawRectangle(2, 2, width - 4, height - 4, 0.5, false);

    lpapi.setItemHorizontalAlignment(0);
    lpapi.drawTextInWidth('第一行：爱神的箭', 4, 6, width - 8, 3);

    lpapi.setItemHorizontalAlignment(1);
    lpapi.drawTextInWidth('第二行：爱神的箭', 4, 11, width - 8, 3);
    
    lpapi.setItemHorizontalAlignment(2);
    lpapi.drawTextInWidth('第三行：爱神的箭', 4, 16, width - 8, 3);
    
    // lpapi.setItemHorizontalAlignment(0);    
    // lpapi.drawText('第四行：sdfjwheoxczcsd', 4, 21, 3);
    // lpapi.drawText('第五行：87489zxzsdasdc', 4, 26, 3);
    // lpapi.drawText('第六行：爱神的箭为zxczxcas', 4, 31, 3);
    // lpapi.drawText('第七行：被人泼开水抵zxczxc', 4, 36, 3);

    var code = 'https://www.baidu.com/test/problem/images/?type=chemical&id=5fb62a222e7a9d75da2c1e85&orgCode=122';
    const codeWidth = 26
    lpapi.drawQRCode(code, (width - codeWidth) * 0.5, 40, codeWidth, codeWidth, 1)

    // lpapi.drawBarcode('1234567890', 50, 2, 20, 10)

    let self = this;

    lpapi.endDrawLabel(function () {
      lpapi.print(function () {
        self.printNextLabel();
      })
    })
  },

  openPrinter: function () {
    // lpapi.scanedPrinters((didGetScanedPrinters) => {
    //   console.log(didGetScanedPrinters)
    //   })

    wx.showLoading({
      title: '连接打印机',
    })

    lpapi.openPrinter('', function () {

      console.log('名字：' + lpapi.connectingPrinterDetailInfos().name);
      console.log('DPI：' + lpapi.connectingPrinterDetailInfos().DPI);
      console.log('打印宽度：' + lpapi.connectingPrinterDetailInfos().width);

      wx.hideLoading({
        success: (res) => {},
      })

      wx.showToast({
        title: '连接打印机成功',
        icon: '',
        image: '',
        duration: 2000,
        mask: true,
        success: function (res) {},
        fail: function (res) {},
        complete: function (res) {},
      })
    }, function () {
      wx.showToast({
        title: '打印机连接断开',
        icon: '',
        image: '',
        duration: 2000,
        mask: true,
        success: function (res) {},
        fail: function (res) {},
        complete: function (res) {},
      })
    })
  },

  disconnect: function () {
    lpapi.closePrinter();

    // wx.closeBluetoothAdapter({
    //   success: (res) => {
    //   },
    // })
  },

  print: function () {
    wx.showLoading({
      title: '打印中',
    })

    tempIndex = 3;
    this.printOneLabel();
  },
  
  onHide() {
    // 页面隐藏
    lpapi.closePrinter();
  },
})